DCMTK - Bug #583

Fix support for JPIP transfer syntaxes
2013-11-29 10:37 - Jorg Riesmeier

Status: New Start date: 2013-11-29
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.7.0

Module: Compiler:

Operating System:

Description

Although JPIP is currently not supported by the DCMTK, the current implementation of the associated transfer syntaxes results in
strange (funny?) behavior. This is because the definitions in "dcxfer.cc” use EJE_NotEncapsulated for
UID_JPIPReferencedTransferSyntax and UID_JPIPReferencedDeflate TransferSyntax, which is also used for the three
uncompressed transfer syntaxes. See email from Mathieu Malaterre (sent on 2013-11-27).

It's probably a good idea to introduce a new enum value for JPIP-based transfer syntaxes and to add new methods to the DcmXfer
class. Also the complete source code of the DCMTK should be checked for the use of isEncapsulated() and isNotEncapsulated(),
which are currently used for a binary decision only.

Another issue with the deflated variant should also be fixed: "dcmconv +td jpip.dcm jpip_zip.decm" should result in a file with the
transfer syntax "JPIP Referenced Deflate" instead of "Deflated Explicit VR Little Endian".

History

#1 - 2017-03-10 16:58 - Marco Eichelberg

Update: the "funny" behaviour reported by Mathieu Malaterre is that storescu will read an image file in JPIP transfer syntax (which is lacking the pixel
data and instead contains a pixel data URL) and will send it e.g. in Explicit VR Little Endian without any error message, producing an invalid DICOM
object at the receiver side.

#2 - 2017-03-24 12:48 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2017-12-07 11:53 - Marco Eichelberg
- Target version deleted (3.6.3)

#4 - 2018-03-09 15:33 - Michael Onken
This is the related bug entry #730610 on the Debian bugtracker.

#5 - 2020-05-25 13:42 - Michael Onken

- Priority changed from Normal to Low

#6 - 2024-03-20 12:27 - Jorg Riesmeier
- Priority changed from Low to Normal

- % Done changed from 0 to 50

The "invalid" conversion with dcmconv has been forbidden with commit 08ece95ad0.
The DcmXfer class has been largely revised and enhanced with commit 98727144c.

However, the "invalid" conversion during network transfer (e.g. using storescu) is still possible.

#7 - 2024-06-26 10:23 - Jorg Riesmeier

- Target version set to 3.7.1+

#8 - 2025-01-23 13:19 - J6rg Riesmeier

2025-09-17 1/2



https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730610

- Target version changed from 3.7.1+ to 3.7.0
